.TH GPIV_MANIPIV 1 "8 November 2006"
.SH NAME
gpiv_manipiv, gpiv_fasty, gpiv_flipx, gpiv_flipy, gpiv_revert, gpiv_rot90, 
gpiv_rot180 \- Simple data manipulation tool for PIV data.
.SH SYNOPSIS

\fBgpiv_manipiv\fP 
[\fB-h\fR | \fB--help\fP\fR] 
[\fB-p\fR | \fB--print\fR] 
[\fB-v\fR | \fB--version\fR] 
[\fB-fi \fIx0 y0 x1 y1\fR]
[\fB-no_fi\fR | \fB--pass\fR \fIx0 y0 x1 y1\fR]
[\fB-fy\fR]
[\fB-r\fR]
[\fB--rev\fR]
[\fB-x\fR]
[\fB-y\fR] 
[\fIfilename\fR] 
< \fIstdin\fR > \fIstdout\fR

\fP

.SH DESCRIPTION

\fBgpiv_manipiv\fP manipulates order and positions of PIV data, mirrors
(flips) the data in horizontal (x) or vertical (y) direction,
rotates over 90 and 180 degrees. As rotating over 180 degrees is
identic to flipping over x as well as over y-direction, the program
must be called twice or must be called once by \fBrot180\fR.

The parameters read from the configuration resources (containing the
key \fBPOST\fR) may be overruled by the command line options, as
explained below. In case an alias name of \fBgpiv_manipiv\fR has been used,
all non-relevant parameters are disabled.

.SH Options 
.TP
\fB-fi \fIx0 y0 x1 y1\fP
filters out data from a piv data stream from location (\fIx0\fP,\fIy0\fP) to 
(\fIx1\fP,\fIy1\fP). Filtering only implies setting the peak number to -1.

.TP
\fB-no_fi\fR | \fB--pass\fR \fIx0 y0 x1 y1\fP
filters out all data, except those from (\fIx0\fP,\fIy0\fP) to 
(\fIx1\fP,\fIy1\fP). This option is the opposite of \fB-fi\fP. Filtering 
only implies setting the peak number to -1.

.TP
\fB-fy\fP
Returns fast running y-positions of data that are originally written with fast 
running x-positions. All other variables (particle displacements, snr, peak#)
are at the new positions, too. Identic to \fBfasty\fR.

.TP
\fB-h\fR | \fB--help\fP
On-line help.

.TP
\fB-p\fR | \fB--print\fP
Prints parameters, command line options and input and output filenames
to stdout. The output is identic of \fIfilename\fB.par\fR, in case \fB-f\fP is 
used.

.TP
\fB-r\fR
Rotates the data over 90 degrees. Identic to \fBrot90\fR.

.TP
\fB--rev\fP
Reverts array indexes of output data for getting reversed order. 
This results into high to low running positions or vice versa. Identic to 
\fBrevert\fR.

.TP
\fB-v\fR | \fB--version\fP
Print version information on standard output, then exits successfully.

.TP
\fB-x\fP
Flips the data in x-direction (vertical axis). Identic to \fBflipx\fR.

.TP
\fB-y\fP
Flips the data in y-direction (horizontal axis). Identic to \fBflipy\fR.

.TP
\fIfilename\fR
Input PIV data file. Overrides stdin and stdout. Output will be written to
\fIfilename\fB.ma.piv\fR. The parameters will be written or appended
to \fIfilename\fB.par\fR and may be used for future use by including
them in \fI./gpivrc\fR.

.TP
.SH SEE ALSO
gpivtools
.SH AUTHOR
Gerber Van der Graaf

